=== debian/changelog ===
yoshimi (0.058.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Add .gitignore file.
  * Add patch to make yoshimi stores user settings under ~/.config/yoshimi.
  * Add debian/gbp.conf file.

 -- Alessio Treglia <alessio@debian.org>  Mon, 12 Jul 2010 18:06:40 +0200

yoshimi (0.058-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Recommends on yoshimi for yoshimi-data package added (Closes: #584644).

  [ Alessio Treglia ]
  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sun, 06 Jun 2010 20:26:45 +0200

yoshimi (0.056-2) unstable; urgency=low

  * Add --as-needed to linking options.
  * Drop GCC options which are not supported on all architectures;
    only i386 and amd64 support some of them (Closes: #584492).

 -- Alessio Treglia <alessio@debian.org>  Fri, 04 Jun 2010 03:14:10 +0200

yoshimi (0.056-1) unstable; urgency=low

  * Initial release (Closes: #581155). 

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 01 May 2010 16:18:45 +0200
