=== debian/changelog ===
yoshimi (0.060.5-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards.
  * Refresh patch.

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Dec 2010 13:41:52 +0100

yoshimi (0.060.3.1-1) experimental; urgency=low

  * Imported Upstream version 0.060.3.1
  * Upstream's changelog is not available anymore.
  * Install the presets too.
  * Refresh build flags patch.

 -- Alessio Treglia <alessio@debian.org>  Wed, 22 Dec 2010 09:50:43 +0100

yoshimi (0.060.1-1) experimental; urgency=low

  * New upstream release.
  * debian/gbp.conf: Add sign-tags = True
  * Refresh debian/patches/01-gcc_flags.patch.
  * Drop debian/patches/02-userconfig_path.patch, upstream has acknowledged
    and fixed the issue another way.
  * debian/control:
    - Build against experimental's JACK to have the session support.
    - Build-depend on libboost-dev.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Dec 2010 11:13:40 +0100
