=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
  cmake,
  sharutils,
  libx11-dev,
+ libboost-dev,
  fluid,
  libfltk1.1-dev,
  libmxml-dev,
  libfftw3-dev,
  libsndfile1-dev,
- libjack-dev,
+ libjack-dev (>= 1:0.118+svn4089-1~) | libjack-jackd2-dev (>= 1.9.6~dfsg.1-3~),
  libasound2-dev,
  libfontconfig1-dev,
  dpkg-dev (>= 1.14.17),
@@ -21,7 +22,7 @@
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/yoshimi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/yoshimi.git
 Homepage: http://yoshimi.sourceforge.net
