=== debian/changelog ===
yoshimi (0.060.10-3) unstable; urgency=low

  * Refresh 01-gcc_flags.patch.
  * debian/patches/02-fluid_1.3.patch:
    - Since the 1.3.x series, Fluid no longer produces (empty)
      implementations for totally empty functions in .fl files.
      Thank you, Aaron! (Closes: #633476)

 -- Alessio Treglia <alessio@debian.org>  Mon, 11 Jul 2011 15:33:20 +0200

yoshimi (0.060.10-2) unstable; urgency=low

  * Build-Depend on libjack-dev only (Closes: #628711).
  * Demote jackd to Recommends as yoshimi could be used without it.
  * Enable parallel builds.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 01 Jun 2011 12:39:37 +0200

yoshimi (0.060.10-1) unstable; urgency=low

  * New upstream release:
    - COPYING file updated.
    - licence anomalies corrected.
  * Update debian/copyright.
    - Update licensing,copyright information.
    - Comply with DEP-5 rev.174.

 -- Alessio Treglia <alessio@debian.org>  Tue, 12 Apr 2011 12:18:22 +0200

yoshimi (0.060.8-2) unstable; urgency=low

  * Provide -DBG package.

 -- Alessio Treglia <alessio@debian.org>  Mon, 11 Apr 2011 20:13:44 +0200

yoshimi (0.060.8-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Improve description.

 -- Alessio Treglia <alessio@debian.org>  Wed, 06 Apr 2011 10:00:04 +0200
