## yoshimi 0.060.12

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 cmake_minimum_required (VERSION 2.6)
 cmake_policy (VERSION 2.6)
 cmake_policy (SET CMP0004 OLD)
-set (YOSHIMI_VERSION "0.060.10")
+set (YOSHIMI_VERSION "0.060.12")
 file (WRITE version.txt "${YOSHIMI_VERSION}")
 
 set (CMAKE_INCLUDE_CURRENT_DIR ON)
