=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 endif
 
 %:
-	dh --sourcedirectory=src $@
+	dh $@ --parallel --sourcedirectory=src
 
 override_dh_install:
 	dh_install
@@ -17,3 +17,5 @@
 	install -m 644 $(CURDIR)/debian/yoshimi.desktop $(CURDIR)/debian/yoshimi/usr/share/applications
 	install -m 644 $(CURDIR)/yoshimi.png $(CURDIR)/debian/yoshimi/usr/share/icons
 
+override_dh_strip:
+	dh_strip --dbg-package=yoshimi-dbg
