## yoshimi 1.0.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 cmake_minimum_required (VERSION 2.6)
 cmake_policy (VERSION 2.6)
 cmake_policy (SET CMP0004 OLD)
-set (YOSHIMI_VERSION "0.060.12")
+set (YOSHIMI_VERSION "1.0.0")
 file (WRITE version.txt "${YOSHIMI_VERSION}")
 
 set (CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -197,6 +197,11 @@
     message (STATUS "Building for ${CMAKE_BUILD_TYPE}, flags: ${CMAKE_CXX_FLAGS_RELEASE}")
 endif (BuildForDebug)
 
+configure_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/../desktop/yoshimi.desktop.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/yoshimi.desktop"
+    IMMEDIATE @ONLY)
+
 set (DSP_sources
     DSP/FFTwrapper.cpp  DSP/AnalogFilter.cpp  DSP/FormantFilter.cpp
     DSP/SVFilter.cpp  DSP/Filter.cpp  DSP/Unison.cpp
@@ -368,16 +373,8 @@
         WORLD_READ WORLD_EXECUTE
 )
 
-set_directory_properties (PROPERTIES
-    ADDITIONAL_MAKE_CLEAN_FILES "${CMAKE_SOURCE_DIR}/*UI.c* ${CMAKE_SOURCE_DIR}/src/*UI.h"
-)
-
-add_custom_target (showversion
-    COMMAND echo -n "Version: "
-    COMMAND cat version.txt
-    COMMAND echo
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-)
-
-# clean sweep
-add_custom_target (distclean
+install (FILES ${CMAKE_CURRENT_BINARY_DIR}/yoshimi.desktop
+    DESTINATION share/applications)
+install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/../desktop/yoshimi.png
+    DESTINATION share/pixmaps)
+
