=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  cmake,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  dpkg-dev (>= 1.14.17),
  fluid,
  libasound2-dev,
@@ -22,11 +22,11 @@
  libsndfile1-dev,
  libx11-dev,
  libxinerama-dev,
+ libcairo2-dev,
  sharutils
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/yoshimi.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/yoshimi.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/yoshimi.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/yoshimi.git
 Homepage: http://yoshimi.sourceforge.net
 
 Package: yoshimi
