=== debian/watch ===
version=3

http://sf.net/yoshimi/yoshimi-([\d.]+)\.tar\.bz2
