## yoshimi 1.2.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 cmake_minimum_required (VERSION 2.6)
 cmake_policy (VERSION 2.6)
 cmake_policy (SET CMP0004 OLD)
-set (YOSHIMI_VERSION "1.1.0")
+set (YOSHIMI_VERSION "1.2.2")
 file (WRITE version.txt "${YOSHIMI_VERSION}")
 
 set (CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -175,6 +175,7 @@
 mark_as_advanced (FLTK_DIR)
 mark_as_advanced (FLTK_FLUID_EXECUTABLE)
 mark_as_advanced (FLTK_MATH_LIBRARY)
+
 set (GuiFluids
     UI/WidgetPDialUI.fl  UI/PresetsUI.fl  UI/EnvelopeUI.fl
     UI/LFOUI.fl  UI/FilterUI.fl  UI/VirKeyboardUI.fl
@@ -355,6 +356,7 @@
     ${FFTW3F_LIBRARIES}
     ${LIBCAIRO_LIBRARIES}
     z
+    dl
 )
 
 add_executable (yoshimi ${ProgSources} main.cpp)
@@ -380,4 +382,3 @@
         GROUP_READ GROUP_WRITE
         WORLD_READ
     DIRECTORY_PERMISSIONS
-        OWNER_READ OWNER_WRITE OWNER_EXECUTE
