=== debian/changelog ===
yoshimi (1.2.2-1) unstable; urgency=low

  * Imported Upstream version 1.2.2

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 01 Jul 2014 20:01:45 +0200

yoshimi (1.2.1-1) unstable; urgency=low

  * Imported Upstream version 1.2.1
  * Removed/Refreshed patches - applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 10 Jun 2014 01:16:11 +0200

yoshimi (1.2.0-1) unstable; urgency=low

  * Imported Upstream version 1.2.0
  * Bump Standards.
  * Patch refreshed.
  * Added patch to fix FTBFS.
  * Spelling patch removed - not applying anymore.
  * Added patch to fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 20 Mar 2014 18:39:52 +0100
