=== debian/changelog ===
yoshimi (1.2.4-1) unstable; urgency=low

  * Imported Upstream version 1.2.4
  * Fix typo in copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 03 Oct 2014 16:15:24 +0200

yoshimi (1.2.3-1) unstable; urgency=low

  * Imported Upstream version 1.2.3

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 30 Aug 2014 13:36:09 +0300
